package com.muyu.common.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.*;
import lombok.experimental.SuperBuilder;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 车辆故障管理对象 sys_car_fault
 * @author 袁子龙
 * @package: com.muyu.breakdown.domain
 * @name: SysCarFault
 * @date: 2024/9/20 10:56
 */
@Data
@Setter
@Getter
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("sys_car_fault")
public class SysCarFault extends BaseEntity{
    private static final long serialVersionUID = 1L;

    /** 参数主键 */
    @TableId( type = IdType.AUTO)
    private Long id;


    /** 故障码编码 */
    @Excel(name = "故障码编码")
    private String faultCode;

    /** 故障名 */
    @Excel(name = "故障名")
    private String faultName;

    /** 故障类型 */
    @Excel(name = "故障类型")
    private Long typeId;



    /** 故障标签 */
    @Excel(name = "故障标签")
    private String faultLabel;



    /** 故障位 */
    @Excel(name = "故障位")
    private String faultBit;

    /** 故障值 */
    @Excel(name = "故障值")
    private String faultValue;

    /** 故障级别 (0.低 ，2.中 ，3.高) */
    @Excel(name = "故障级别 (0.低 ，2.中 ，3.高)")
    private Long faultRank;

    /** 故障描述信息 */
    @Excel(name = "故障描述信息")
    private String faultDesc;

    /** 故障最小阈值 */
    @Excel(name = "故障最小阈值")
    private Integer faultMinThreshold;

    /** 故障最大阈值 */
    @Excel(name = "故障最大阈值")
    private Integer faultMaxThreshold;

    /** 启用状态(1.待处理 2.处理中 3.已处理 4.忽略) */
    @Excel(name = "启用状态(1.待处理 2.处理中 3.已处理 4.忽略)")
    private Integer status;

    /** 是否警告(0.开启 1.禁止) */
    @Excel(name = "是否警告(0.开启 1.禁止)")
    private Integer warnStatus;

    /**车辆类型 */
    @Excel(name = "车辆类型")
    private Integer carTypeId;



    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("faultCode", getFaultCode())
                .append("faultName", getFaultName())
                .append("typeId", getTypeId())
                .append("faultLabel", getFaultLabel())
                .append("faultBit", getFaultBit())
                .append("faultValue", getFaultValue())
                .append("faultRank", getFaultRank())
                .append("faultDesc", getFaultDesc())
                .append("faultMinThreshold", getFaultMinThreshold())
                .append("faultMaxThreshold", getFaultMaxThreshold())
                .append("status", getStatus())
                .append("warnStatus", getWarnStatus())
                .append("remark", getRemark())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
